﻿@model IEnumerable<footlucker.Models.Supplier>
@using Microsoft.AspNetCore.Http
@{
    ViewData["Title"] = "Index";
}

<div class='page_title_container'>
    <h2 class='page_title'>מסך ספקים</h2>
</div>

@{
    var isAdmin = Context.Session.GetString("isAdmin") == "true" ? true : false;
    if (isAdmin)
    {
        <div class='page_plus_button branches_index_plus_button'>
            <a class='page_plus_text' asp-action="Create">+</a>
        </div>
    }
}


<div class='page_content_container'>
    <table class="table">
        <thead>
            <tr>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                <th class="index-table-th">
                    @Html.DisplayNameFor(model => model.Products)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @{
                            var productsArray = item.Products.ToArray();
                            for (int i = 0; i < productsArray.Length; i++)
                            {
                                @Html.DisplayFor(p => productsArray[i].Name);
                                if (i != productsArray.Length - 1)
                                {
                                    @:,
                                }
                            }
                        }
                    </td>
                    <td>
                        @{
                            if (isAdmin)
                            {
                                <div>
                                    <a asp-action="Edit" asp-route-id="@item.Id">ערוך</a> |
                                    <a asp-action="Delete" asp-route-id="@item.Id">מחק</a>
                                </div>
                            }
                        }
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
